package de.uni.leipzig.informatik.pacosy.cophylogeny;

public class Parameters {

	String input;
	String output;
	double lowerBound;
	double upperBound;
	int noSolutions;
	boolean hostswitch;
	boolean associations;
	boolean single;
	boolean verbose;
	
	public Parameters() {
		this.lowerBound = 0.25;
		this.upperBound = 4.0;
		this.noSolutions = 1;
		this.hostswitch = true;
		this.associations = true;
		this.single = false;
		this.verbose = false;
	}
	public String getInput() {
		return input;
	}
	public void setInput(String input) {
		this.input = input;
	}
	public String getOutput() {
		return output;
	}
	public void setOutput(String output) {
		this.output = output;
	}
	public double getLowerBound() {
		return lowerBound;
	}
	public void setLowerBound(double lowerBound) {
		this.lowerBound = lowerBound;
	}
	public double getUpperBound() {
		return upperBound;
	}
	public void setUpperBound(double upperBound) {
		this.upperBound = upperBound;
	}
	public int getNoSolutions() {
		return noSolutions;
	}
	public void setNoSolutions(int noSolutions) {
		this.noSolutions = noSolutions;
	}
	public boolean isHostswitch() {
		return hostswitch;
	}
	public void setHostswitch(boolean hostswitch) {
		this.hostswitch = hostswitch;
	}
	public boolean isAssociations() {
		return associations;
	}
	public void setAssociations(boolean associations) {
		this.associations = associations;
	}
	public boolean isSingle() {
		return single;
	}
	public void setSingle(boolean single) {
		this.single = single;
	}
	public boolean isVerbose() {
		return verbose;
	}
	public void setVerbose(boolean verbose) {
		this.verbose = verbose;
	}
	
	
}
