package de.uni.leipzig.informatik.pacosy.nexus.command;

import java.util.Map;

public class NexusMapOfStringsStyleCommand extends NexusCommand {

	private Map<String, String> map;
	
	public NexusMapOfStringsStyleCommand(NexusCommand command, Map<String, String> map) {
		super(command);
		this.map = map;
	}
	
	@Override
	public Object getData() {
		return getMap();
	}
	
	public Map<String, String> getMap() {
		return this.map;
	}

}
