package de.uni.leipzig.informatik.pacosy.nexus.command;

import de.uni.leipzig.informatik.pacosy.datastructure.api.ITree;

public class NexusTreeCommand extends NexusCommand {

	private String name;
	private ITree tree;
	private boolean defaultTree;
	
	public NexusTreeCommand(NexusCommand command, String name, ITree tree, boolean defaultTree) {
		super(command);
		this.name = name;
		this.tree = tree;
		this.defaultTree = defaultTree;
	}
	
	@Override
	public Object getData() {
		return getTree();
	}
	
	public String getName() {
		return name;
	}
	public ITree getTree() {
		return tree;
	}
	public boolean isDefaultTree() {
		return defaultTree;
	}
	
	
}
