package de.uni.leipzig.informatik.pacosy.nexus.block.parser;

import de.uni.leipzig.informatik.pacosy.nexus.command.parser.NexusEquationStyleCommandParser;
import de.uni.leipzig.informatik.pacosy.nexus.command.parser.NexusListOfStringsStyleCommandParser;

public class NexusTaxaBlockParser extends DefaultNexusBlockParser {

	private static NexusTaxaBlockParser singleton;
	
	public static NexusTaxaBlockParser getSingleton(){
		if (singleton == null){
			singleton = new NexusTaxaBlockParser();
		}
		return singleton;
	}
	
	private NexusTaxaBlockParser() {
		super.registerCommandParser("DIMENSIONS",
				NexusEquationStyleCommandParser.getSingleton());
		super.registerCommandParser("TAXLABELS",
				NexusListOfStringsStyleCommandParser.getSingleton());
	}

}
