package de.uni.leipzig.informatik.pacosy.nexus.command;

import java.util.List;

import de.uni.leipzig.informatik.pacosy.datastructure.api.IAssociation;

public class NexusCophylogenyAssociationsCommand extends NexusCommand {

	private List<IAssociation> associations;
	
	public NexusCophylogenyAssociationsCommand(NexusCommand command, List<IAssociation> associations) {
		super(command);
		this.associations = associations;
	}
	
	@Override
	public Object getData() {
		return getAssociations();
	}
	
	public List<IAssociation> getAssociations() {
		return this.associations;
	}

}
