package de.uni.leipzig.informatik.pacosy.nexus.command.parser;

import java.util.List;
import java.util.Map;

import de.uni.leipzig.informatik.pacosy.datastructure.api.factory.IDaoFactory;
import de.uni.leipzig.informatik.pacosy.nexus.block.NexusBlock;
import de.uni.leipzig.informatik.pacosy.nexus.command.NexusCommand;
import de.uni.leipzig.informatik.pacosy.nexus.exception.NexusFormatException;

public interface INexusCommandParser {

	public IDaoFactory getDaoFactory();
	public void setDaoFactory(IDaoFactory daoFactory);
	public NexusCommand deserialize(NexusCommand rawCommand, List<NexusCommand> commands, Map<String, NexusBlock> blocks) throws NexusFormatException;
}
