package de.uni.leipzig.informatik.pacosy.nexus.exception;

public class NexusFormatException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4931832060133184617L;

	/**
	 * default constructor
	 */
	public NexusFormatException() {
		super();
	}

	/**
	 * constructor with message
	 * 
	 * @param message
	 */
	public NexusFormatException(String message) {
		super(message);
	}

	/**
	 * constructor with cause
	 * 
	 * @param cause
	 */
	public NexusFormatException(Throwable cause) {
		super(cause);
	}

	/**
	 * constructor with message and cause
	 * 
	 * @param message
	 * @param cause
	 */
	public NexusFormatException(String message, Throwable cause) {
		super(message, cause);
	}
}
